Bug 828013 - Grub2 has issues dual booting with Windows 7
Grub2 has issues dual booting with Windows 7
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 21:42 EDT by JR
Modified: 2013-07-28 19:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-28 19:57:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bugfix (2.98 KB, patch)
2012-06-03 21:54 EDT, Vladimir Serbinenko
no flags Details | Diff

  None (edit)
Description JR 2012-06-03 21:42:10 EDT
Description of problem:

Upon trying to boot my Windows partition (I dual boot), I get an error about an "invalid signature".  Upon inspection, no root is set for the Windows boot option.

When running the grub2-mkinstall, I get the following (clipped for relevance):

<pre>
### BEGIN /etc/grub.d/30_os-prober ###
  No volume groups found
Found Windows 7 (loader) on /dev/sda1
menuentry 'Windows 7 (loader) (on /dev/sda1)' --class windows --class os $menuentry_id_option 'osprober-chain-/dev/sda1' {
	insmod part_msdos
/usr/sbin/grub2-probe: error: unknown filesystem.
	chainloader +1
}
</pre>
Notice the <tt>/usr/sbin/grub2-probe: error: unknown filesystem.</tt> error.  I think this is the issue. If we look at fdisk, we see the following:

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *          63      401624      200781    7  HPFS/NTFS/exFAT


This worked _GREAT_ in F16.  If I update my grub2.cfg (for testing!) to include:

set root='hd0,msdos1'

Things work like I would expect. 

Version-Release number of selected component (if applicable):
# rpm -qa | grep grub
grub2-2.0-0.25.beta4.fc17.x86_64
grub-efi-0.97-93.fc17.x86_64
grubby-8.12-1.fc17.x86_64
Comment 1 Vladimir Serbinenko 2012-06-03 21:54:38 EDT
Created attachment 589004 [details]
Bugfix

Most likely is fixed by:
------------------------------------------------------------
revno: 4405
committer: Vladimir 'phcoder' Serbinenko <phcoder@gmail.com>
branch nick: grub
timestamp: Sat 2012-06-02 13:48:44 +0200
message:
        * grub-core/kern/emu/hostdisk.c (grub_util_biosdisk_write) [__linux__]:
        Fix MBR remapping workaround.
        (grub_util_biosdisk_read) [__linux__]: Likewise.
upstream. I attach the patch here as well. Can you confirm?
Comment 2 JR 2012-06-04 17:35:19 EDT
Is there a build of the applicable patch available in koji (or similar) that I can test against?
Comment 3 Mads Kiilerich 2012-06-12 09:11:26 EDT
This fix can be tested with an unofficial scratch build with a snapshot from bzr: grub2-2.0-0.37.beta6.4462.fc17 at http://koji.fedoraproject.org/koji/taskinfo?taskID=4152623 - please test and report back.
Comment 4 JR 2012-06-28 19:48:43 EDT
I can confirm the packages

grub2-2.0-0.37.beta6.fc17.x86_64
grub2-tools-2.0-0.37.beta6.fc17.x86_64

Seem to fix the issue here for me.  I pulled these from https://admin.fedoraproject.org/updates.
Comment 5 JR 2012-07-01 17:38:20 EDT
I see this listed in bodhi as updates-testing-candidate.  When will this be pulled in to updates-testing?

Thanks!
Comment 6 Fedora End Of Life 2013-07-03 22:37:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 JR 2013-07-28 19:57:01 EDT
Closing this bug as it was fixed and the fix still works.

Thanks for the help!

Note You need to log in before you can comment on or make changes to this bug.